<?php
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Usuarios/mensajeros.php"); 
	$nombrepagina = "ADICIONAR GUIA A UNA PLANILLLA";
	encabezado($target); 
	$user=$_SESSION['validar'];
	$tamano_pagina=20;
	$_SESSION['tam']=$tamano_pagina;  
	$pagina = $_GET["pagina"];
        
        $idMnsj=$_GET['cmb_mensajero'];
        //echo 'Mensajero:'.$idMnsj;
        
	if(!$pagina){
		$inicio=0;
		$_SESSION['inicio']=$inicio;
		$pagina=1;
	}else{
		$inicio=($pagina-1)*$tamano_pagina;
		$_SESSION['inicio']=$inicio;
	}
    $filas=1;   
    if($filas == 1){ 
		class llamado{
	 		var $menuObj;
			function validar1($id_user,$id_sucursal){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
			}
			function cantidad($sql_consulta){
				$this->userObj=new select_zonas();
				$cant=$this->userObj->get_filas($sql_consulta);
				return $cant;
			}
		}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);	 
		$perfil=$_SESSION['perfil'];
		if($perfil==0){
//			$add='';
			$add="WHERE p.id_mensajero='$idMnsj' AND p.id_sucursal='$suc'";
		}else{
			$add="WHERE p.id_mensajero='$idMnsj' AND p.id_sucursal='$suc'";
			//$add="WHERE p.fecha_planilla BETWEEN '$f1' AND '$f2' AND p.id_sucursal='$suc'";
		}
		$sql_planilla="SELECT p.id_planilla, p.fecha_planilla, p.hora_planilla, m.nombre, m.id_mensajero FROM planillas as p ".
		"inner join mensajeros as m on p.id_mensajero=m.id_mensajero $add order by id_planilla desc";
                //group by p.id_planilla
                
		$cant=$llamadoObj->cantidad($sql_planilla);
		$total_paginas= ceil($cant/$tamano_pagina);
?>
<CENTER>
<table width="490" border="0" class="primaria">
<tr class=miTable_tr>
<td class=miTable_th1><div align="center"><a href="consulta_planilla.php?id_user=<? echo $_GET['id_user'];?>&suc=<? echo $_GET['suc'];?>&id_menu=17"><img src="imagenes/back.gif" title="Volver"></a></div></td>
<td colspan="4" class=miTable_th1><div align="center">..:: Agregar a Planilla ::..</div></td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="60">Planilla</td>
<td valign=top class=miTable_th1 width="85">Fecha Planilla</td>
<td valign=top class=miTable_th1 width="85">Hora Planilla</td>
<td valign=top class=miTable_th1 width="210">Mensajero</td>
<td valign=top class=miTable_th1 width="50">Adicionar</td>
</tr>
<?
	class elimina{
		var $userObj;
		function eliminar($perfil,$f1,$tabla){
			$tamano_pagina=$_SESSION['tam'];
			$inicio=$_SESSION['inicio'];
			$this->userObj=new select_zonas();
			$this->userObj->consulta_mensajero_planilla($inicio,$tamano_pagina,$_GET['suc'],$perfil,$f1,$tabla);
		}
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($perfil,$idMnsj,$tabla);
?></tr><tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1){   echo "Paginas:";
	$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
	if ($start > 1 ){
		print "&nbsp;<a href='ejecuta_planillas.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&f1=$f1&f2=$f2'> << </A>";
	}
	for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
		if($pagina == $start+$i){
			print "&nbsp;&nbsp;".($start+$i); 
		}else{
			print "&nbsp;&nbsp;<a href='ejecuta_planillas.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&f1=$f1&f2=$f2'>". ($start+$i)." </A>";
		}
	}
	if($start+$i < $total_paginas){
		print "&nbsp;&nbsp;<a href='ejecuta_planillas.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&tabla=$tabla&f1=$f1&f2=$f2'> >> </A>";
	}
}?></div></td></tr>
<form method='GET' action="">
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='hidden' name='tabla' value='<? echo $tabla?>'>
<input type='hidden' name='f1' value='<? echo $f1?>'>
<input type='hidden' name='f2' value='<? echo $f2?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</tr>
</table>
</form>
</CENTER><?
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center></td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>